Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.functions
Class StandardFunction.Entry

    java.lang.Object
      net.sf.saxon.functions.StandardFunction.Entry

All Implemented Interfaces:
  Serializable

Enclosing class:
  StandardFunction

    public static class StandardFunction.Entry

extends Object
implements Serializable

An entry in the table describing the properties of a function

See Also:
  Serialized Form

Field Summary
`SequenceType[]` | `argumentTypes` An array holding the types of the arguments to the function
`int` | `cardinality` The cardinality of the result of the function
`Class` | `implementationClass` The class containing the implementation of this function (always a subclass of SystemFunction)
`ItemType` | `itemType` The item type of the result of the function
`int` | `maxArguments` The maximum number of arguments permitted
`int` | `minArguments` The minimum number of arguments required
`String` | `name` The name of the function: a local name in the case of functions in the standard library, or a name with the conventional prefix "saxon:" in the case of Saxon extension functions
`int` | `opcode` Some classes support more than one function.
`Value[]` | `resultIfEmpty` An array holding, for each declared argument, the value that is to be returned if an empty sequence as the value of this argument allows the result to be determined irrespective of the values of the other arguments; null if there is no such calculation possible

Constructor Summary
`StandardFunction.Entry()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  The name of the function: a local name in the case of functions in the standard library, or a name with the conventional prefix "saxon:" in the case of Saxon extension functions

### implementationClass

    public Class implementationClass

  The class containing the implementation of this function (always a subclass of SystemFunction)

### opcode

    public int opcode

  Some classes support more than one function. In these cases the particular function is defined by an integer opcode, whose meaning is local to the implementation class.

### minArguments

    public int minArguments

  The minimum number of arguments required

### maxArguments

    public int maxArguments

  The maximum number of arguments permitted

### itemType

    public ItemType itemType

  The item type of the result of the function

### cardinality

    public int cardinality

  The cardinality of the result of the function

### argumentTypes

    public SequenceType[] argumentTypes

  An array holding the types of the arguments to the function

### resultIfEmpty

    public Value[] resultIfEmpty

  An array holding, for each declared argument, the value that is to be returned if an empty sequence as the value of this argument allows the result to be determined irrespective of the values of the other arguments; null if there is no such calculation possible

Constructor Detail

### StandardFunction.Entry

    public StandardFunction.Entry()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.